<?php
 @session_start();
 $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
 {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
  ?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SEGURIDAD</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK href="../general.css" type=text/css rel=stylesheet>
<script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="../bootstrap/js/bootstrap.min.js"></script>
  <link href="../icono.ico" rel="shortcut icon">
</head>
 
<BODY >



<?php



$documento="";$nombre="";$password="";$apellido="";$email="";$cargo="";$vp_pais="";



include "../seguridad.php";



$sql_datos = mysqli_query($conseg,"SELECT nombre,apellido,documento,cargo,email,

						password,estado

					   FROM usuario

					   where login='".$vg_login."'");

		while($datos= mysqli_fetch_row($sql_datos))

		{

	  $nombre=$datos[0];

	  $apellido=$datos[1];				

		  $documento=$datos[2];				

		  $cargo=$datos[3];				

		  $email=$datos[4];				

		  $password=$datos[5];				

		  $estado=$datos[6];				

		}



if(isset($_REQUEST['oculto']))

  {

    $documento=$_REQUEST['documento'];     

	$login=$_REQUEST['login'];

	$nombre=$_REQUEST['nombre']; 

	$apellido=$_REQUEST['apellido'];

	$email=$_REQUEST['email'];

$cargo=$_REQUEST['cargo'];

	$estado=$_REQUEST['estado'];

$password=md5($_REQUEST['password']);    



	 #opcion para modificar el usuario

     if(isset ($_REQUEST['modificar']))

       {

	   if($_REQUEST['omodificar']==1)

		 {

		   if($vg_login==" ")

			  {  echo "<script>"; echo "alert('Digite todos los campos requeridos')"; echo "</script>";}

		   else

		     {//01   

			        $sql_contar= mysqli_query($conseg,"SELECT count(*) as cantidad FROM usuario 

											  			where login='".$vg_login."'");

					while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}

			        if($contar>=1)//001

					 { $sql_update =mysqli_query($conseg,"UPDATE usuario SET 

														  password='".trim($password)."'											

           												  where login='".$vg_login."'");

					   if ($sql_update)

						 {  $vl_passwd=""; echo "<script>";      

						 echo "alert('Se actualizo el usuario')";  echo "</script>";

						 }

					   else

						 { $vl_passwd="";echo "<script>";   

						 echo "alert('Error al actualizar el usuario')";  echo "</script>";}

			         }//001	 

                    else

					 {$vl_passwd="";echo "<script>";   

					  echo "alert('No existe login a modificar')";  echo "</script>";}

			 } //01

		}//fin pregunta modificar		 

	}//fin mosidicar

  }//fin oculto

?>





<form name="parametros" method="post" action="" >

<div align="center">

    <div class="panel panel-default" style="width:100%;">

       <div align="center">

		 <table width="100%" border="0" cellspacing="0" cellpadding="0">

              <tr> 

                <td width="116" height="28"><div class="textotitulotablas">Login </div>                  </td>

                <td><input name="login" type="text" id="login"   value="<?php echo $vg_login; ?>"

				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'" readonly 

                class="form-control" data-toggle="tooltip" data-placement="right" title="Digite el usuario" style="width: 100px"			>

                <input name="buscar" type="hidden" id="buscar"  value="Buscar" class="btn btn-primary" ></td>

              </tr>

              <tr> 

                <td height="26"><div class="textotitulotablas">Nombres </div>                  </td>

                <td height="26"><input name="nombre" type="text"  id="nombre" value="<?php echo $nombre." ".$apellido; ?>" 

				 onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'" readonly 

                class="form-control" d style="width: 100%"></td>

              </tr>

              <tr>

                <td><div class="textotitulotablas">Cargo </div></td>

                <td><span class="texto">

                  <input name="cargo" type="text" id="cargo"    value="<?php echo $cargo; ?>"  readonly="true" 

				  onFocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                   class="form-control"  style="width: 100%">

                </span></td>

              </tr>

              <tr>

                <td><div class="textotitulotablas">Clave Acceso</div></td>

                <td><input name="password" type="password"  id="password"   value="<?php echo $password; ?>"

				onFocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                   class="form-control"  style="width: 100%"  ></td>

              </tr>

              <tr>

                <td colspan="2" align="center"><input type="hidden" name="oculto">

                  <input name="guardar" type="hidden" id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary">

                  <input name="modificar" type="submit" id="modificar"  value="Cambia Clave" onClick="return pregunta_modificar();" class="btn btn-primary">

                  <input name="cancela" type="hidden"  id="cancela"  value="Cancela" class="btn btn-primary">

                  <?php

                     if($vg_login<>"")

					  {

					?>

                 <input name='rep' type='hidden'  id='rep' value='Perfil Usuario'   class="btn btn-primary" title="Clic para ver reporte"

							 onClick="javascript:window.open('frm_perfil_usuario.php?vl_login=<?php echo $login;?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >

                  <?php

                      }

					?>

              <input name='rep2' type='hidden'  id='rep2' value='Reporte'   class="btn btn-primary" title="Clic para ver reporte"

						 onClick="javascript:window.open('frm_reporteusuarios.php?tabla=usuario','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" ></td>

              </tr>

              <tr>

                <td colspan="2">&nbsp;</td>

              </tr>

          </table>





    <input name="oguardar" type="hidden" id="oguardar">

    <input name="omodificar" type="hidden" id="omodificar">

    <input name="Obuscar" type="hidden" id="Obuscar">

  </div>

  </div>

</div>

</form>





<script language="JavaScript">

function pregunta_guardar()







 {    







    if (confirm('�Est� seguro de Guardar el usuario?')== false)







	    { return false; }  







	else







	  { retorno_valida=valida_campos_parametros();







	    if(retorno_valida==false)







		   { parametros.oguardar.value = 0; return false;}







	    else{ 







		     parametros.oguardar.value = 1;







			 return true;







		    }







	  } 







} 















function pregunta_modificar(){ 







	if (confirm('�Est� seguro de Modificar ?') == false)







	  {  return false; } 







	else







	  { 







	   retorno_valida=valida_campos_parametros();







	    if(retorno_valida==false){ parametros.omodificar.value = 0; return false;}







	    else{ parametros.omodificar.value = 1;







		      return true;







		}







	  }







	     







} 























function valida_campos_parametros()







{   var mensaje='';















	 if(document.parametros.login.value!=''){}







	 else {mensaje=mensaje + 'Falta digitar el Login,';    }	







	 if(document.parametros.nombre.value!=''){}







	 else {mensaje=mensaje + 'Falta digitar el Nombre,';    }







	 if(document.parametros.apellido.value!=''){}







	 else {mensaje=mensaje + 'Falta digitar los Apellidos,';    }







	 if(document.parametros.password.value!=''){}







	 else {mensaje=mensaje + 'Falta digitar el Password,';    }







	  if(document.parametros.documento.value!=''){}







	 else {mensaje=mensaje + 'Falta digitar el Documento,';    }







	 







	 







	if(document.parametros.login.value!='' && document.parametros.nombre.value!='' &&







		document.parametros.apellido.value!='' && document.parametros.password.value!='' && 







		document.parametros.documento.value!=''){return true;}







	else {







		  alert(mensaje);







		  return false;







		 }	















}































/*function pregunta_guardar(){ 







    if (confirm('�Est� seguro de Guardar?')== false)







	  { parametros.oguardar.value = 0       







	    return false;







	  }  







	else







	  { parametros.oguardar.value = 1;







	     return true;







	  }   







} 















function pregunta_modificar(){ 







    if (confirm('�Est� seguro de Modificar ?') == false)







	  { parametros.omodificar.value = 0  







	    return false;







	  } 







	else







	  { parametros.omodificar.value = 1 ; 







	    return true;







	  }   







	







} 







*/







</script>







</body>







</html>















 <?php







function comprobar_email($email){ 







    $mail_correcto = 0; 







    //compruebo unas cosas primeras 







    if ((strlen($email) >= 6) && (substr_count($email,"@") == 1) && (substr($email,0,1) != "@") && (substr($email,strlen($email)-1,1) != "@")){ 







       if ((!strstr($email,"'")) && (!strstr($email,"\"")) && (!strstr($email,"\\")) && (!strstr($email,"\$")) && (!strstr($email," "))) { 







          //miro si tiene caracter . 







          if (substr_count($email,".")>= 1){ 







             //obtengo la terminacion del dominio 







             $term_dom = substr(strrchr ($email, '.'),1); 







             //compruebo que la terminaci�n del dominio sea correcta 







             if (strlen($term_dom)>1 && strlen($term_dom)<5 && (!strstr($term_dom,"@")) ){ 







                //compruebo que lo de antes del dominio sea correcto 







                $antes_dom = substr($email,0,strlen($email) - strlen($term_dom) - 1); 







                $caracter_ult = substr($antes_dom,strlen($antes_dom)-1,1); 







                if ($caracter_ult != "@" && $caracter_ult != "."){ 







                   $mail_correcto = 1; 







                } 







             } 







          } 







       } 







    } 







    if ($mail_correcto) 







     return 1; 







    else 







     return 0; 







} 







?>







